These docs are for v1.0. Click to read the latest docs for v2.0.

Get Booking Details

Get details and status of an existing Booking using the Booking ID obtained from the /bookings endpoint.
Please note that the follow_code field is empty for security reasons.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "id": "b6a5f9dd-9066-4252-9013-be85dfa4563bc",
  "passengers": {
    "additional_passengers": 0,
    "passenger_details": [
      {
        "first_name": "John",
        "last_name": "Smith",
        "email": "[email protected]",
        "phone_number": "+4412345678",
        "locale": "en_GB"
      }
    ],
    "luggage": {
      "total": 0
    }
  },
  "traveller_id": "",
  "status": "CONFIRMED",
  "state_details": "",
  "origin": {
    "display_address": "Gatwick Airport (LGW), South Terminal, London, UK",
    "position": {
      "latitude": 51.157753,
      "longitude": -0.1619743
    },
    "place_id": "k_e4fd1bd3-7890-11e9-a982-0a580a040cc9",
    "poi_type": "ENRICHED",
    "timezone": "london/europe"
  },
  "destination": {
    "display_address": "Buckingham Palace, Westminster, London SW1A 1AA, UK",
    "position": {
      "latitude": 51.5086692,
      "longitude": -0.1375291
    },
    "place_id": "EhpCcm93bmVsbCBTdCwgU2hlZmZpZWxkLCBVSw",
    "poi_type": "NOT_SET_POI_TYPE",
    "timezone": "london/europe"
  },
  "date_scheduled": "2020-02-17T15:26:59Z",
  "quote": {
    "type": "FIXED",
    "total": 3550,
    "currency": "GBP",
    "gratuity_percent": 0,
    "breakdown": [],
    "vehicle_class": "Saloon",
    "qta_high_minutes": 3,
    "qta_low_minutes": 3,
    "vehicle_attributes": {
      "passenger_capacity": 4,
      "luggage_capacity": 2,
      "hybrid": false,
      "electric": true,
      "child_seat": false
    }
  },
  "fare": {
    "total": 3550,
    "currency": "GBP",
    "gratuity_percent": 0,
    "breakdown": []
  },
  "external_trip_id": "Ref_123",
  "display_trip_id": "A5TH-R27D",
  "fleet_info": {
    "fleet_id": "82cdc359-beed-45cb-8743-baec84e58b57",
    "name": "PHV Fleet (Robot Fleet GB",
    "logo_url": "https://cdn.karhoo.com/d/images/organisation-logos/69279eb83537f0471137a72184f31edb.png",
    "description": "Regional Private Hire Company operating in London and surroundings",
    "phone_number": "+4489999999",
    "terms_conditions_url": "https://cdn.karhoo.com/d/terms/fleets/7f8d80dc-0872-4fc0-86bd-658488d8fcb2/index.html",
    "email": "[email protected]"
  },
  "vehicle": {
    "vehicle_class": "MPV",
    "description": "",
    "vehicle_license_plate": "",
    "driver": {
      "first_name": "",
      "last_name": "",
      "phone_number": "",
      "photo_url": "",
      "license_number": ""
    },
    "attributes": {
      "passenger_capacity": 4,
      "luggage_capacity": 2,
      "hybrid": false,
      "electric": true,
      "child_seat": false
    }
  },
  "partner_trip_id": "9975d6f2-75e0-463a-85f8-d6b17d2b0143",
  "comments": "They are waiting by the green door at Fake Street 2a",
  "flight_number": "BA1326",
  "train_number": "",
  "date_booked": "2020-02-17T15:26:59Z",
  "meeting_point": {
    "position": {
      "latitude": 51.5086692,
      "longitude": -0.1375291
    },
    "type": "CURB_SIDE",
    "instructions": "Meet Driver outside terminal near Bus stop and taxi rank",
    "note": ""
  },
  "agent": {
    "user_id": "5fc4f43b-2832-466ce-9943-8728589ef9897",
    "user_name": "TestOrg",
    "organisation_id": "3d91a9a7-3e3hc-47ae-be9f-26872c6ce3f8",
    "organisation_name": "Partner_Org"
  },
  "cost_center_reference": "EMEA-sales",
  "cancelled_by": {
    "first_name": "",
    "last_name": "",
    "id": "",
    "email": ""
  },
  "follow_code": "47ae-be96ce35fc4f4",
  "meta": {
    "property1": "",
    "property2": "string"
  },
  "train_time": ""
}
Path Params
string
required

Booking ID

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*